Subject: Re: bug#14333: 24.3.50; Emacs hangs when trying to exit

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 26 Dec 2015 01:45:29 +0100

Dani Moncayo <[email-masked]> writes:

>> Could you next time attach GDB to a running Emacs (before it hangs),
>> or start Emacs under GDB to begin with, put a breakpoint in 'die' and
>> in 'Fkill_emacs', and see what happens when you exit?  If the
>> breakpoint inside 'Fkill_emacs' breaks, just type the "continue"
>> command; Emacs will probably exit normally.  But if the breakpoint in
>> 'die' breaks, please see what kind of object do you have in 'fun', the
>> value that is passed to XSUBR on line 2815 above.
>
> I'll try it next time.

More information was requested, but no response was given within a few
months, so I'm closing this bug report.  If the problem still exists,
please reopen this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no